<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<title> camv-rnd - FAQ </title>
	<meta http-equiv="Content-Type" content="text/html;charset=us-ascii">
<!--AUTO head begin-->
	<link rel="icon" type="image/png" href="resources/logo16.png">
<!--AUTO head end-->
</head>
<body>

<!--AUTO navbar begin-->
<table border=0 cellspacing=2 cellpadding=10  bgcolor="#eeeeee" width="100%">
<tr>
<th align=center bgcolor="#ccc0cc"> <a href="index.html"> Main </a>
<th align=center bgcolor="#ccc0cc"> <a href="news.html"> News </a>
<th align=center bgcolor="#ccc0cc"> <a href="doc.html">Doc</a>&nbsp;&amp;&nbsp;<a href="faq.html">FAQ</a>&nbsp;&amp;&nbsp;<a href="http://repo.hu/cgi-bin/pool.cgi?project=camv-rnd">knowledge pool</a>
<th align=center bgcolor="#ccc0cc"> <a href="support.html"> Support </a>
<td align=right width="60%"> <font size="+2"><i>camv-rnd</i></font> <img src="resources/logo32.png" alt="[camv-rnd logo]">
</table>
<!--AUTO navbar end-->

<br>
<!--content-->
<h1> camv-rnd FAQ </h1>

<h2 id="export"> 1. File formats </h2>

<h3> 1.1. g-code for laser cutter </h3>
<p>
A common g-code laser cut dialect uses M3 and M5 for turning the laser
on/off. For other machines (mills, routers), these codes control the
spindle. The default configuration assumes the latter. If you have a file
for laser and it doesn't use G0 for travel but relies on M3/M5 for
laser on/off, you need to switch the config bit at plugins/import_gcode/laser
<b>before</b> loading the file.
<p>
On GUI, tick in the corresponding laser menu in File/Loader configuration.
<p>
On the command line, use -c plugins/import_gcode/laser=1.
<p>
If you more often use g-code files for laser than not, you can make this the
default value in your user config.

<h2 id="slots"> 2. build/install </h2>

<h3> 2.1. Error while loading shared libraries </h3>
<p>
If the above error message appears and lists librnd-* libs when executing
camv-rnd, that means your operating system's dynamic loader is unable to
find  There are trhee common reasons for this:
<ul>
	<li> camv-rnd is installed from binary and librnd is not installed. Install librnd.
	<li> librnd is installed from source to standard installation prefix (/usr or /usr/local); on some systems ldconfig needs to be run after installing new libs from source so that the system's dynamic loader can find the new .so files
	<li> librnd is installed from source to a non-standard installation prefix, e.g. installation in home directory or /opt; see <a href="INSTALL.librnd.txt">INSTALL.librnd.txt</a> for the extra steps this setup requires
</ul>

</body>
</html>
